# coding=utf-8

from django.conf.urls import url, include
from .views import *

urlpatterns = [
    url(r'^token/refresh/', CustomerRefreshTokenView),
    url(r'^token/verify/', CustomerVerifyTokenView),

    url(r'^code2Session/$', WxLoginView.as_view()),
    url(r'^setUserInfo/$', SetUserInfoView.as_view()),
    url(r'^wxbind/$', WxBindView.as_view()),

    url(r'^home/$', HomeView.as_view()),
    url(r'^poster/$', PosterView.as_view()),
    url(r'^dict/$', DictView.as_view()),
    url(r'^get_building/$', BuildingView.as_view()),
    url(r'^get_device/$', DeviceView.as_view()),
    url(r'^notices/$', NoticesView.as_view()),  # 通知
    url(r'^notices/(?P<pk>[0-9]+)/$', NoticesDetailView.as_view()),  # 通知

    url(r'^repair_order/', include('apps.wxapp.repair_order.urls')),
    url(r'^inspection_order/', include('apps.wxapp.inspection_order.urls')),
    url(r'^tenant/', include('apps.wxapp.tenant.urls')),
]
